Get All Order Details By DateRange
This API returns order details within a specific date range. It provides a complete snapshot of any specific transaction, including its status, products, customer details, and payment summary. This is essential for customer support, order tracking, and offering users a comprehensive view of their purchases.
Use Cases
-
Customer Service: When a customer has a query, a support agent can quickly use the date range to access orders to get all transaction details, enabling prompt and accurate responses.
-
Order History: Your application can display a detailed order history to users, including itemized lists and total costs, for transparency and convenience.
Endpoint
GET https://demo-api.frontpayment.no/api/v1/connect/orders/details-list/{{startTimestamp}}/{{endTimestamp}}
** Date difference between startTimestamp and endTimestamp must be within one month
Authorization
Include a Bearer Token in the Authorization header. You can obtain this token from Front Payment.
Example:
Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN
Response
A successful request will return a 200 OK status with the following JSON payload:
{
"status_code": 200,
"status_message": "OK",
"message": "orderRetrievedSuccessfully",
"is_data": true,
"data": [
{
"type": "String",
"paymentLink": "String"
"orderUuid: "String",
"invoiceNumber": "String",
"status": "String",
"isInvoiced": "Boolean",
"invoiceAsPaymentOption": "Boolean",
"dateCreated": "String",
"orderDate": "String",
"paymentLinkDueDate": "String",
"sendOrderBy": {
"sms": "Boolean",
"email": "Boolean",
"invoice": "Boolean",
},
"creditCheck": "Boolean",
"productList": [
{
"name": "String",
"productId": "String",
"quantity": "Integer",
"rate": "Float",
"discount": "Float",
"tax": "Float",
"amount": "Float"
}
],
"twoUid": "String",
"orderSummary": {
"subTotal": "Float",
"tax": "Float",
"discount": "Float",
"grandTotal": "Float"
},
"customerDetails": {
"type": "String",
"uuid": "String",
"countryCode": "String",
"msisdn": "String",
"email": "String",
"name": "String",
"preferredLanguage": "String",
"personalNumber": "String",
"organizationId": "String",
"address": {
"street": "String",
"zip": "String",
"city": "String",
"country": "String"
}
},
"translationKey": "String",
"organizationUuid": "String",
}
]
}
API returns a 400 error, it means either startTimestamp or endTimestamp is not given. It can also produce 400 in case of invalid startTimestamp or endTimestamp are given.
{
"status_code": 400,
"status_message": "Bad Request",
"message": "invalidTimestamps",
"is_data": false,
"data": null
}
API returns a 510 error, it means something failed on the server side
{
"status_code": 510,
"status_message": "Execution Exception Occurred",
"message": "Something Went Wrong",
"is_error": true,
"errors": "Array"
}